Test Datasets
---------------

### Chr22 (1000 Genomes Project)

This data set is based on the VCF files for chromosome 22 from the [1000 Genomes Project](http://www.1000genomes.org/)

The original file ALL.chr22.phase1_release_v3.20101123.snps_indels_svs.genotypes.vcf.gz has been truncated to include first 1000 variants.

The response variables were generated by simply taking the amount of alternative alleles (for first 5 variables).

* chr22_1000.vcf - the truncate vcf file
* chr22-labels.vcf - labels generated taking the amount of alternative alleles (for first 5 variables)


### CNAE-9 Data Set 

This is a data set containing 1080 documents of free text business descriptions of Brazilian companies categorized into a 
subset of 9 categories cataloged in a table called National Classification of Economic Activities (ClassificaÃ§Ã£o Nacional de 
Atividade EconÃ´micas - CNAE). 

Source: [https://archive.ics.uci.edu/ml/datasets/CNAE-9](https://archive.ics.uci.edu/ml/datasets/CNAE-9)

* CNAE9-9.csv  - the original dataset
* CNAE9-9-wide.csv - variables in wide format
* CNAE9-9-labels.csv - classification labels


### Ranger Data Set

This an simulated data set generated in the way described in ["ranger: A Fast Implementation of Random Forests for High Dimensional Data in C++ and R" Marvin N. Wright, Andreas Ziegler](http://arxiv.org/abs/1508.04409).

Data was simulated for a dichotomous endpoint with 10,000 samples and 1,000 features. A logit model was used to simulate an effect for 5 features and no effect for the other features.
The features have values 0,1,2 as commonly used in GWAS (Genome Wide Association Studies).

This data has been generated by the src/test/python/gen\_ranger\_dataset.py (the first 1000 variables were taken)
 
* ranger-wide\_1000\_10000.csv.bz2 - features in wide format
* ranger-labels\_10000.csv - response variables (resp5 is logit response with 5 significant variables) 


